
<template>
    <BeeInput v-if="!loading" @click="$emit('click')">{{text}}</BeeInput>
    <BeeInput v-else class="spinner-container"><Spinner class="mini"></Spinner></BeeInput>
</template>

<script lang="ts">
import Spinner from "@/components/Spinner.vue";
import BeeInput from "@/components/BeeInput.vue";
import { Component, Prop, Vue } from "vue-property-decorator";

@Component({
    components:{
        Spinner,
        BeeInput
    }
})
export default class AjaxButton extends Vue {
  @Prop({ default: false }) readonly loading!: boolean;
  @Prop({ default: '' }) readonly text!: string;
}
</script>

<style lang="scss" scoped>
.spinner-container{
    display: flex;
    .mini{
        height: 30px;
        width: 30px;
        margin: auto;
    }
}
</style>